# ppmwheel

Updated: 03 February 2019
Table Of Contents

## NAME

ppmwheel - make a PPM image of a color wheel

## SYNOPSIS

ppmwheel diameter [{-huevalue | -huesaturation}] [-maxval=N]

## DESCRIPTION

This program is part of Netpbm.

ppmwheel produces a PPM image of a color wheel of the specified diameter inside a white square just large enough to hold it.

The color wheel is based on the HSV color model. Hues are distributed angularly around the circle and the values and saturations are distributed radially.

You can generate three kinds of color wheel:

- Hue-value: Select this with a -huevalue option.

  The saturation is 100% everywhere. The value goes from zero to 100% linearly, from the center of the wheel to the edge. So the center is black.

  Hence, the image consists of all of the secondary colors based on the red, green, and blue primary colors. A secondary color is one that is composed of light of at most two of the three primary colors.

- Hue-saturation: Select this with a -huesaturation option.

  The value is 100% everywhere. The saturation goes from zero to 100% linearly, from the center of the wheel to the edge. So the center is white.

- Ppmcirc: Select this by not specifying any other wheel type option.

  The saturation is 100% everywhere. The value is a strange function of the distance from the center, increasing as the square root of the distance until halfway out, then decreasing as the 8th root of the distance the rest of the way. We don't know what the point of this is, but it is what the program Ppmcirc by Peter Kirchgessner in 1995 does, and was the only option in ppmwheel from its inception in 2003 to 2019.

## ARGUMENTS

You must specify one non-option argument: the radius of the color wheel in pixels.

This is also the height and width of the output image.

## OPTIONS

-huevalue
  This selects a hue-value color wheel.

  This option was new in Netpbm 10.86 (March 2019).

-huesaturation
  This selects a hue-saturation color wheel.

  This option was new in Netpbm 10.86 (March 2019).

-maxval=N
  This selects the maxval for the image. The default is 255.

  This option was new in Netpbm 10.86 (March 2019).

## SEE ALSO

ppmcie, ppmrainbow, ppm

## HISTORY

ppmwheel was added to Netpbm in Release 10.14 (March 2003).

## AUTHOR

Copyright (C) 1995 by Peter Kirchgessner

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- ARGUMENTS
- OPTIONS
- SEE ALSO
- HISTORY
- AUTHOR